Saltar para o conteúdo principal

Este browser já não é suportado.

Atualize para o Microsoft Edge para tirar partido das mais recentes funcionalidades, atualizações de segurança e de suporte técnico.

Transferir Microsoft Edge Mais informações sobre o Internet Explorer e o Microsoft Edge
microsoft-foundry.rest.security.o-auth2-auth

Routines

Get a routine

GET /routines/{routine_name}

Retrieves the specified routine and its current configuration.

Parâmetros do cabeçalho

Foundry-Features enum

A feature flag opt-in required when using preview operations or modifying persisted preview resources.

Routines=V2Preview

Parâmetros de caminho

routine_name string obrigatório

The unique name of the routine.

Parâmetros de consultas

api-version string obrigatório

The API version to use for this operation.

Respostas

The request has succeeded.

Corpo

Content-Type: application/json
name string

The routine name.

description string

A human-readable description of the routine.

enabled boolean obrigatório

Whether the routine is enabled.

triggers object

The triggers configured for the routine.

[key: string] schedule | timer | github_issue | custom

Base model for a routine trigger.

Um dos seguintes:
schedule ScheduleRoutineTrigger

A recurring cron-based routine trigger.

type enum obrigatório

The trigger type.

schedule
cron_expression string obrigatório

A 5-field cron expression. The service enforces a minimum interval of five minutes by default.

time_zone string obrigatório

An IANA or Windows time zone identifier for the schedule.

timer TimerRoutineTrigger

A one-shot timer routine trigger.

type enum obrigatório

The trigger type.

timer
at integer
github_issue GitHubIssueRoutineTrigger

A GitHub issue routine trigger.

type enum obrigatório

The trigger type.

github_issue
connection_id string obrigatório

The workspace connection identifier that resolves the GitHub configuration for the trigger.

owner string obrigatório

The GitHub owner or organization that scopes which issues can fire the trigger.

repository string obrigatório

The GitHub repository filter that scopes which issues can fire the trigger.

issue_event string | enum obrigatório

Known GitHub issue events that can fire a routine.

Qualquer uma das seguintes opções:
string
enum
openedclosed
custom CustomRoutineTrigger

A custom event routine trigger.

type enum obrigatório

The trigger type.

custom
provider string obrigatório

The external provider that emits the custom event.

event_name string

The provider-specific event name that fires the routine.

parameters object obrigatório

Provider-specific trigger parameters.

action invoke_agent_responses_api | invoke_agent_invocations_api

Base model for a routine action.

Um dos seguintes:
invoke_agent_responses_api InvokeAgentResponsesApiRoutineAction

Dispatches a routine through the responses API. Exactly one of agent_name or agent_endpoint_id must be provided.

type enum obrigatório

The action type.

invoke_agent_responses_api
agent_name string

The project-scoped agent name for routine dispatch.

agent_endpoint_id string

Legacy endpoint-scoped agent identifier for routine dispatch.

input InvokeAgentResponsesApiRoutineAction

Static JSON value sent as the complete downstream input when the routine fires. The value is passed through as-is; no templating is applied.

conversation string

An optional existing conversation identifier to continue during the downstream dispatch.

invoke_agent_invocations_api InvokeAgentInvocationsApiRoutineAction

Dispatches a routine through the raw invocations API. Exactly one of agent_name or agent_endpoint_id must be provided.

type enum obrigatório

The action type.

invoke_agent_invocations_api
agent_name string

The project-scoped agent name for routine dispatch.

agent_endpoint_id string

Legacy endpoint-scoped agent identifier for routine dispatch.

input InvokeAgentInvocationsApiRoutineAction

Static JSON value sent as the complete downstream input when the routine fires. The value is passed through as-is; no templating is applied.

session_id string

An optional existing hosted-agent session identifier to continue during the downstream dispatch.

created_at integer
updated_at integer

Client error

Corpo

Content-Type: application/json
error OpenAI.Error obrigatório
code string | null obrigatório
message string obrigatório
param string | null
type string
misalignment OpenAI.MisalignmentErrorDetailsResource
review_target string | null
error_type string | enum
Qualquer uma das seguintes opções:
string
enum
potentially_unintended_data_transferpotentially_unintended_data_accesspotentially_unintended_destructive_activityother
detailed_explanation string

The public explanation for this block.

steer OpenAI._MisalignmentSteer
message string obrigatório

The public continuation instruction.

details OpenAI.Error[]
additionalInfo object
debugInfo object

Server error

Corpo

Content-Type: application/json
error OpenAI.Error obrigatório
code string | null obrigatório
message string obrigatório
param string | null
type string
misalignment OpenAI.MisalignmentErrorDetailsResource
review_target string | null
error_type string | enum
Qualquer uma das seguintes opções:
string
enum
potentially_unintended_data_transferpotentially_unintended_data_accesspotentially_unintended_destructive_activityother
detailed_explanation string

The public explanation for this block.

steer OpenAI._MisalignmentSteer
message string obrigatório

The public continuation instruction.

details OpenAI.Error[]
additionalInfo object
debugInfo object

Pedir

GET /routines/{routine_name} HTTP/1.1

Response

Status: 200
Content-Type: application/json
Status: 4XX
Content-Type: application/json
Status: 5XX
Content-Type: application/json
pt-pt
Suas opções de privacidade
  • Exclusão de responsabilidade de IA
  • Versões anteriores
  • Blogue
  • Contribuir
  • Privacidade
  • Privacidade da Saúde do Consumidor
  • Termos de Utilização
  • Marcas Comerciais
  • © Microsoft 2026